import 'package:crab_ui/contact.dart';
import 'package:flutter/material.dart';
import 'home_page.dart';
import 'api_service.dart';
import 'login.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();
  // debugPaintSizeEnabled = true;
  runApp( HyM());
}

class HyM extends StatelessWidget {
  final AuthService _authService = AuthService();
  HyM({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      theme: ThemeData.light(),
      title: 'HyM',
      // home: HomeScreen(),
      home: HomeScreen(),

      routes: {
        "/login": (context) => const LoginPage(),
        "/email": (context) => EmailPage(),
        "/contacts": (context) => ContactsPage(),
      },
    );
  }
}
